<ng-container *ngIf="!defaultCheckbox">
  <input [id]="id" type="checkbox" [(ngModel)]="value" (change)="onCheckboxChange()"/>
  <label [for]="id">{{label}}</label>
</ng-container>
<mat-checkbox *ngIf="defaultCheckbox" [labelPosition]="labelPosition" [(ngModel)]="value" (change)="onCheckboxChange()">{{label}}</mat-checkbox>
